Issue #17050 has been updated by Eregon (Benoit Daloze).


In the `profile` stdlib, both files are used: `-rprofile` starts the profiler immediately, while `profiler.rb` is like a library:
https://github.com/ruby/ruby/blob/ruby_2_6/lib/profile.rb

So it seems to me not advisable to reuse those "require names" for something not strictly compatible since `profile` was only removed in 2.7.

----------------------------------------
Bug #17050: profiler gem
https://bugs.ruby-lang.org/issues/17050#change-86729

* Author: ioquatix (Samuel Williams)
* Status: Open
* Priority: Normal
* Assignee: hsbt (Hiroshi SHIBATA)
* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7: UNKNOWN
----------------------------------------
I would like to reuse profiler gem namespace:

https://rubygems.org/gems/profiler/versions

It currently conflicts with `profile/lib/profiler.rb` however this is no longer part of stdlib.

cc @ko1



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>